getDomains

Get the definitions of all the domains that exist on a server.

This operation can be invoked by any user, even an anonymous user.

Location

/services/webservices/system/admin/user/operations/

Request Element

detail: The level of detail about the domains to include in the response. See Domains Element.

SIMPLE: Returns name, type, and annotation.
FULL: Returns name, type, annotation, and attributes.

Request Example

<user:getDomains xmlns:user="http://www.compositesw.com/services/system/admin/user" xmlns:common="http://www.compositesw.com/services/system/util/common">
  <user:detail>SIMPLE</user:detail>
</user:getDomains>

Response Elements

domains: List of domains.

Response Example

This example shows a response to a request with detail=SIMPLE.

<user:getDomainsResponse xmlns:user="http://www.compositesw.com/services/system/admin/user">
  <user:domains>
    <user:domain>
      <user:name>dynamic</user:name>
      <user:domainType>DYNAMIC</user:domainType>
      <user:annotation>Dynamic authentication domain</user:annotation>
    </user:domain>
    <user:domain>
      <user:name>composite</user:name>
      <user:domainType>COMPOSITE</user:domainType>
      <user:annotation>Composite authentication domain</user:annotation>
    </user:domain>
  </user:domains>
</user:getDomainsResponse>

Faults

IllegalArgument: If an invalid detail value is provided.

Security: If the detail is FULL and the user does not have the ACCESS_TOOLS and READ_ALL_USERS rights.